<%_ if (position === 'import') { _%>
import FormConfigDesign from './components/design-component.vue';
import FormConfigCreate from './components/create-component.vue';
<%_ } _%>
<%_ if (position === 'method') { _%>
<%_ } _%>
<%_ if (position === 'tools') { _%>
<%_ } _%>
<%_ if (position === 'rowOperations') { _%>
  <%_ if (clientTheme === 'vben') { _%>
      {
        title: '设计',
        name: 'design',
        containerType: 'modal',
        type: 'link',
      },
      {
        title: '数据',
        name: 'edit-data',
        hide: row => xGrid.value.isEditByRow(row) && xGrid.value.props.editConfig?.mode === 'row' && row.formType !== "DATA_FORM",
        containerType: 'drawer',
        type: 'link',
      },
      {
        title: '预览',
        name: 'preview',
        hide: row => xGrid.value.isEditByRow(row) && xGrid.value.props.editConfig?.mode === 'row',
        containerType: 'drawer',
        type: 'link',
      },
  <%_ } else { _%>
  <%_ } _%>
<%_ } _%>
<%_ if (position === 'rowClickHandler') { _%>
    <%_ if (clientTheme === 'vben') { _%>
    case 'design':
      popupConfig.containerProps.closable = false;
      popupConfig.containerProps.defaultFullscreen = true;
      popupConfig.containerProps.title = '';
      popupConfig.containerProps.canFullscreen = false;
      popupConfig.containerProps.footer = null;
      popupConfig.componentProps.is = shallowRef(FormConfigDesign);
      popupConfig.componentProps.entityId = row.id;
      popupConfig.componentProps.containerType = 'modal';
      setModalProps({ open: true});
      break;
    case 'edit-data':
      popupConfig.needSubmit = true;
      popupConfig.containerProps = {
        title: '编辑-' + row.formName,
        cancelText: '关闭',
        okText: '保存',
        showOkBtn: true,
        showCancelBtn: true,
        width: '80%',
        destroyOnClose: true,
      };
      popupConfig.componentProps = {
        is: shallowRef(FormConfigCreate),
        entityId: row.id,
        containerType: 'modal',
        viewType: 'edit',
      };
      setModalProps({ open: true});
      break;
    case 'preview':
        popupConfig.needSubmit = false;
        popupConfig.containerProps = {
          title: '预览-' + row.formName,
          cancelText: '关闭',
          showOkBtn: false,
          showCancelBtn: true,
          width: '80%',
          destroyOnClose: true,
        };
        popupConfig.componentProps = {
          is: shallowRef(FormConfigCreate),
          entityId: row.id,
          containerType: 'modal',
          viewType: 'preview',
        };
      setModalProps({ open: true});
      break;
    <%_ } else { _%>
    <%_ } _%>
<%_ } _%>
<%_ if (position === 'toolbarToolClick') { _%>
<%_ } _%>
